#include "SM_GuiToolkitPCH.h"
#include "SM_Layout.h"

ILayout::ILayout()
{
}

ILayout::~ILayout()
{
}

int  ILayout::Init()
{
  return 0;
}
void ILayout::Update()
{
  int iIterator; 

  for (iIterator = m_Sons.First() ; iIterator != -1 ; iIterator)
  {
    Window* pWindow;
    m_Sons.Get(iIterator, pWindow);
    pWindow->Update();
  }
}

